Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

EDI Delphi Discussion :

RAD Studio 10.4 expériences d'installation


Sujet :

EDI Delphi

  1. #21
    Membre expérimenté
    Citation Envoyé par Andnotor Voir le message
    Et ta conclusion ?

    Chez moi c'est clairement pas successful. L'installation se passe bien mais pas de composant frxDatabase, inutilisable

    Pire, ça met le gros bordel sous Delphi 10.3 ! La 6.2 de Rio et la 6.7 de Sydney sont manifestement installées dans le même répertoire et la 6.7 supprime la 6.2... Seulement la 6.7 ne semble pas compatible Rio.

    Désinstaller ces paquets se passe très mal aussi. Ils restent visibles sous GetIt (Rio et Sydney) après désinstallation. On ne peut donc n'y les réinstaller (puisqu'ils sont censés déjà l'être) ni les désinstaller (plus d'uninstaller, le répertoire est vide).
    Pas d'autre moyen que de plonger dans la base des registres pour supprimer manuellement les entrées du catalogue...
    N'hésite surtout pas à faire part de ton expérience auprès du support de Fast Report : ils sont plutôt réactifs aussi sur ce genre de choses et devraient pouvoir corriger leur installeur.

  2. #22
    Rédacteur/Modérateur

    Oui, mais pas testé, juste posé sur une forme.
    Un rapide test confirme que cela fonctionne. Tu as vérifié que le composant était bien dans la liste des paquets à Charger.
    Pour tout dire (et c'est pour cela que ma réponse n'a pas été directe) je me suis "amusé" à désinstaller à nouveau FastReport VCL.
    Ce que je n'ai pas aimé, mais pas du tout : l'obligation d'avoir à redémarrer non seulement Sidney mais aussi le PC ! À tel point que j'ai voulu faire sans ce redémarrage mal m'en a pris et moi aussi j'ai dû plonger par la suite dans le registre.

    Si j'ai fait cette réinstallation c'était pour voir si cette histoire d'ordre de paquets avait de l'importance.
    Première surprise les paquets étaient tous décochés seconde, une bonne, je n'ai certainement pas suivi le même ordre que la dernière fois, en tout cas pas de souci pour cette étape.

    Enfin, pour en revenir à l'installation via Getit je trouve dommage que l'installation de Fastreport soit silencieuse (cf /S)

    cela aurait certainement permis de mettre ailleurs que dans program files (x86) les composants
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  3. #23
    Rédacteur/Modérateur

    Citation Envoyé par SergioMaster Voir le message
    Tu as vérifié que le composant était bien dans la liste des paquets à Charger.
    Bien vu
    Un était décoché...

  4. #24
    Membre régulier
    Bonjour,

    Suite aux différentes interventions, je n'ai pas bien compris s'il fallait obligatoirement désinstaller Rio avant d'installer Syndney ?


    Cordialement

    Carmichael

  5. #25
    Rédacteur/Modérateur

    Bonjour,
    Non, Sidney est une version "complète" qui n'en écrase aucune autre
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  6. #26
    Expert éminent sénior
    Impossible de créer un compte sur https://www.embarcadero.com/products...start-for-free, ni Edge, ni Chrome : Session Expirée lorsque l'on valide le formulaire

    La version trial est accessible autrement ?
    Aide via F1 - FAQ - Guide du développeur Delphi devant un problème - Pensez-y !
    Attention Troll Méchant !
    "Quand un homme a faim, mieux vaut lui apprendre à pêcher que de lui donner un poisson" Confucius
    Mieux vaut se taire et paraître idiot, Que l'ouvrir et de le confirmer !
    L'ignorance n'excuse pas la médiocrité !

    L'expérience, c'est le nom que chacun donne à ses erreurs. (Oscar Wilde)
    Il faut avoir le courage de se tromper et d'apprendre de ses erreurs

  7. #27

  8. #28
    Membre du Club
    Installation 10.4 Sydney & Audit d'erreur absent
    Je rencontre pas mal de dysfonctionnements suite à l'installation de Sydney 10.4, il semblerait qu'il y subsiste pas mal d'instabilités.

    Ma courte expérience sur ce produit:

    • première 1/2 journée d'utilisation avec pas moins de 5 Fins de tâche car l'environnement était tout simplement planté et ne répondait plus
    • Depuis, je ne dispose plus de l'audit d'erreur dans l'EDI, je peux saisir n'importe quoi et seule la compilation du projet m'indique les erreurs ==> L'audit d'erreur (bien qu'activé dans les options de l'EDI) ne fonctionne pas (ou ne fonctionne plus).
    • Le seul composant additionnel que j'utilise dans mes projets (TRibbon d'Embarcadero obtenu par GetIt) ne fonctionne plus aussi bien qu'avec Rio avec lequel je n'ai pas rencontré de pb dans l'utilisation de ce composant


    J'ai fait part des dysfonctionnements du TRibbon à Embarcadero, j'attends leur retour.

    Sauriez-vous m'indiquer des pistes pour l'audit d'erreur non fonctionnel ?

    Merci à tous, et bonne journée.

  9. #29
    Rédacteur/Modérateur

    Bonjour,
    Citation Envoyé par lgirard Voir le message
    Depuis, je ne dispose plus de l'audit d'erreur dans l'EDI,
    je suis étonné c'est l'un des points forts de 10.4 néanmoins LSP s'appuyant sur un produit MS ...

    Citation Envoyé par lgirard Voir le message

    Le seul composant additionnel que j'utilise dans mes projets (TRibbon d'Embarcadero obtenu par GetIt)
    N'utilisant pas, je serais bien en peine de donner mon avis sur son fonctionnement . Tout ce que je peux dire c'est que le paquet s'installe correctement


    Sauriez-vous m'indiquer des pistes pour l'audit d'erreur non fonctionnel ?

    est-ce que LSP est disponible (version de windows?), un moyen de vérifier est en regardant dans la listes des processus


    sinon changer pour Delphi Audit de code classique (sans conviction )
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  10. #30
    Membre du Club
    Merci beaucoup Sergio.

    J'ai exactement ce même paramétrage, ainsi que les process LSP dans le gestionnaire des tâches de mon poste. Rien n'y fait. J'ai pas encore essayé le bon vieux redémarrer mon poste

    J'ai hâte d'échanger sur cette nouvelle version et de tout cela lors du prochain séminaire la présentant. Peut-être y aura t-il d'autres retours, j'espère plus heureux que le mien. Pour ma part, afin d'avancer sur mon projet, je suis retourné sur 10.3. Gageons que cela ne soit que temporaire

    Bonne fin de journée

  11. #31
    Rédacteur/Modérateur

    Citation Envoyé par lgirard Voir le message

    J'ai hâte d'échanger sur cette nouvelle version et de tout cela lors du prochain séminaire la présentant.
    Je suis sûr que Patrick se fera une joie : de déblayer tout ça

    Peut-être y aura t-il d'autres retours, j'espère plus heureux que le mien.
    Mis à part mon expérience, en mode troll, sur l'installation je dois avouer que je commence à bien aimer. Vivement que je puisse avoir les composants tiers (PdfView, FastReport FMX) qui me sont indispensable pour la production. Même si :
    • l'audit de code me semble encore avoir quelques ratés*
      un peu de pollution ~~~~~~ lente à disparaitre
      mais surtout un truc bizarre dans la complétion des uses de l'implémentation : si je mets par exemple uses collections [Ctrl+Esp] je n'ai aucune proposition mais si je mets
      uses
      collections [Ctrl+Esp] j'ai bien des propositions
    • j'ai réussi à planter au moins une fois le concepteur visuel de liaison
    • j'ai eu un problème sur une synchronisation des modifications : plus de bloc et pourtant l'outil (le bouton) est resté
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  12. #32
    Membre expérimenté
    Citation Envoyé par lgirard Voir le message
    J'ai exactement ce même paramétrage, ainsi que les process LSP dans le gestionnaire des tâches de mon poste. Rien n'y fait. J'ai pas encore essayé le bon vieux redémarrer mon poste
    Sur ce coup là, j'aurais suggéré de commencer par un redémarrage car si les programmes sont bien configurés et que les processus sont là, il doit y avoir un plantage quelque part dans une tâche ou un soucis de communication entre le serveur LSP et l'IDE.

    Citation Envoyé par lgirard Voir le message
    J'ai hâte d'échanger sur cette nouvelle version et de tout cela lors du prochain séminaire la présentant. Peut-être y aura t-il d'autres retours, j'espère plus heureux que le mien. Pour ma part, afin d'avancer sur mon projet, je suis retourné sur 10.3. Gageons que cela ne soit que temporaire
    l'un des gros avantages, c'est que nous devrions avoir des patchs plus facilement accessibles et installables au fil des semaines pour les anomalies reproductibles signalées à Embarcadero

  13. #33
    Membre expérimenté
    Citation Envoyé par SergioMaster Voir le message
    • j'ai eu un problème sur une synchronisation des modifications : plus de bloc et pourtant l'outil (le bouton) est resté
    si tu te souviens où c'était, ça m'intéresse, me suis fait avoir avec un ascenseur fantôme, il est possible qu'il y ait d'autres petites choses qui trainent et doivent être éliminées au plus tôt

  14. #34
    Membre confirmé
    Citation Envoyé par SergioMaster Voir le message
    Je suis sûr que Patrick se fera une joie : de déblayer tout ça


    Mis à part mon expérience, en mode troll, sur l'installation je dois avouer que je commence à bien aimer. Vivement que je puisse avoir les composants tiers (PdfView, FastReport FMX) qui me sont indispensable pour la production. Même si :
    • l'audit de code me semble encore avoir quelques ratés*
      un peu de pollution ~~~~~~ lente à disparaitre
      mais surtout un truc bizarre dans la complétion des uses de l'implémentation : si je mets par exemple uses collections [Ctrl+Esp] je n'ai aucune proposition mais si je mets
      uses
      collections [Ctrl+Esp] j'ai bien des propositions
    • j'ai réussi à planter au moins une fois le concepteur visuel de liaison
    • j'ai eu un problème sur une synchronisation des modifications : plus de bloc et pourtant l'outil (le bouton) est resté
    il semble y avoir des bugs avec Ctrl+Esp

    https://quality.embarcadero.com/browse/RSP-29334
    https://quality.embarcadero.com/browse/RSP-29271

  15. #35
    Membre expérimenté
    Citation Envoyé par exoseven Voir le message
    m'est avis que le premier a été zappé par oubli lors de la définition des specs de la nouvelle version de LSP, mais on peut revenir au fonctionnement précédent si on s'en sert vraiment

    pour le second c'est un effet de bord de la vitesse du truc. un peu gênant, mais on peut contourner, j'en parlerai jeudi.

  16. #36
    Rédacteur/Modérateur

    Citation Envoyé par pprem Voir le message
    Si tu te souviens où c'était, ça m'intéresse, me suis fait avoir avec un ascenseur fantôme
    Je ne me souviens pas vraiment comment c'est arrivé Si cela se reproduit j'y ferais attention mais comme ce n'est pas encore mon "outil" de production il peut se passer quelques jours.
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  17. #37
    Rédacteur/Modérateur

    Comme quoi il n'y a pas que moi qui oublie de cacher le texte d'un panel vide



    pour info, après quelques modifications, je viens d'installer le composant pdfium pour FMX


    et aussi DKLang pour la localisation (toujours après quelques modifs mineures)
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  18. #38
    Membre émérite
    De retour
    Bonjour à tou(te)s

    De retour après une absence non voulue, je vois qu'une nouvelle version de Delphi est sortie.
    J'avais zappé la dernière version par manque de temps de voir tout réinstaller comme à chaque fois.
    Là, je me suis dis que j'allais profiter de cette toute nouvelle version mais à lire tous vos commentaires, ça me refroidit un peu.
    2 questions :

    Est-ce que je peux installer cette version sur mon poste où est déjà présente la 10.3.2 sans devoir désinstaller cette version ?

    Si oui, les 2 sont-elles ok pour fonctionner ensembles sans problème ? (Je ne peux pas me permettre de foirer ma version en cours, trop de travail en retard pour perdre du temps à ça)

    Merci

  19. #39
    Rédacteur/Modérateur

    Bonjour
    Comme tu pourras le constater sur ce post https://www.developpez.net/forums/d2.../#post11561542
    J'ai trois versions (ce n'est pas des VM ) "l'écrasement" ne se fait qu'entre sous-versions i.e 10.3.2 -> 10.3.3


    Donc OUI les versions sont ok pour fonctionner ensemble et même en même temps (quoiqu'il y a peut-être quelques "contre-indications" : si tu plantes un EDI l'autre semble aussi planté)
    Aparté : Oui, 10.4 j'arrive à le planter en particulier avec le concepteur visuel de liens

    Je conseille d'utiliser la version OnLine (webinstaller) plutôt que la version ISO, malgré mon coup de sur le fait que l'indication du répertoire d'installation il faille encore le chercher en cliquant sur le bouton [Préférences] cela évitera la question "Pourquoi Getit ne fonctionne pas ?"

    Mais, si tu utilises des composants tiers il faudra encore attendre avant de passer à la 10.4 comme outil de production (c'est un peu frustrant).

    Et pour info, il vaut mieux ne pas utiliser l'outil de migration de l'environnement, j'ai préféré réinstaller les composants que j'utilise en les recompilant (i.e DKLang, PDFView de winsoft)
    La seule chose absolue dans un monde comme le nôtre, c'est l'humour. » Albert Einstein

    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Tokyo, Rio, Sidney) et peut être quelques autres
    SGBD : Firebird 2.5, 3, SQLite
    générateurs Etats : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Ubuntu, Androïd

  20. #40
    Membre émérite
    Merci pour cette réponse rapide et complète.

    Je ne vais surement utiliser les deux simultanément mais j'ai besoin de conserver ma version 10.3 actuelle en bon état.
    La 10.4, je l'utiliserai comme toi quand j'aurai tous les composants nécessaires disponibles.

###raw>template_hook.ano_emploi###